## python3-defaults 3.3.0-2ubuntu8

=== debian/changelog ===
python3-defaults (3.3.0-2ubuntu8) raring; urgency=low

  * Build a libpython3-stdlib package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2013 17:47:41 +0100

python3-defaults (3.3.0-2ubuntu7) raring; urgency=low

  * python3{,-all}-{dev,dbg}: Depend on libpython3{,-all}-{dev,dbg}.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jan 2013 19:52:05 +0100

python3-defaults (3.3.0-2ubuntu6) raring; urgency=low

  * Build libpython3-all-{dev,dbg} packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2013 20:24:06 +0100

python3-defaults (3.3.0-2ubuntu5) raring; urgency=low

  [ Piotr Ożarowski ]
  * pybuild:
    - add --ext-dest-dir (PYBUILD_EXT_DESTDIR) and --ext-pattern
      (PYBUILD_EXT_PATTERN) options to move files after install step
    - save before/after command logs if quiet mode is on
    - do not warn about limiting versions if there's only one
  * dh_python3: add version range to py3compile in maintainer scripts

  [ Dmitry Shachnev ]
  * Merge with Debian packaging bzr r259. Remaining changes:
    - Drop python3.2 as a supported python3 version.
    - Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.
    - Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
      Build-Depends.
  * Include architecture.mk in debian/rules instead of defining
    DEB_HOST_* manually.
  * tests/t1: Build-depend on python3-all instead of python-all.
  * Make tests work without python-support installed.
  * debian/tests/control: Add a dependency on libjs-jquery (test1 contains
    a symlink to /usr/share/javascript/jquery/jquery.js).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 24 Jan 2013 15:48:55 +0400

python3-defaults (3.3.0-2ubuntu4) raring; urgency=low

  [ Piotr Ożarowski ]
  * Interpreter._get_config: try distutils.sysconfig for older Python
    versions, use sysconfig for Version('3')

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Dec 2012 22:05:46 -0500

python3-defaults (3.3.0-2ubuntu3) raring; urgency=low

  * Fix merge error, drop python3.2 from the supported versions.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 19:38:43 +0100

python3-defaults (3.3.0-2ubuntu2) raring; urgency=low

  * Move debiandoc-sgml, python-docutils, lsb-release to Build-Depends.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 11:09:30 +0100

python3-defaults (3.3.0-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Drop python3.2 as a supported python3 version.
  * Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 10:45:17 +0100

python3-defaults (3.3.0-2) experimental; urgency=low

  [ Piotr Ożarowski ]
  * dh_python3:
    - add multiarch support (rename extensions in dist-packages)
    - rename foomodule.so to foo.so in dist-packages (for Python >= 3.3)
  * pybuild:
    - add --{before,after}-{clean,configure,build,install,test}
      command line options and many more PYBUILD_FOO environment vars
      (f.e. PYBUILD_DESTDIR, PYBUILD_DESTDIR_python3,
      PYBUILD_DESTDIR_python3.3-dbg)
    - add --disable command line option (to disable step, interpreter, version
      or any mix of them); drop --no-clean and --no-tests arguments
      (replaced by --disable clean, --disable test or --disable 'clean test')
    - add new build system to dh sequencer (dh --buildsystem=pybuild)
    - add manpage
  * Move python-docutils to Build-Depends (python3 package is now arch:any) 

  [ Matthias Klose ]
  * Build dependency packages as architecture dependent packages.
  * Make python3, python3-{minimal,dev,dbg} Multi-Arch: allowed.
  * Don't use the `u' abi flag when defaulting to 3.3.
  * Build Multi-Arch: same packages libpython3-{dev,dbg} packages providing
    $(DEB_HOST_MULTIARCH)-python3-config symlinks.
  * Add Multi-Arch: same packages libpython3-all-{dev,dbg} (not yet built,
    python3.2 doesn't have support for multiarch).

  [ Dmitry Shachnev ]
  * debpython/interpreter.py: fix failing doctest
    (architecture no longer hardcoded)
  * Added DEP-8 tests (Closes: #698002).

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 12 Jan 2013 17:13:14 +0100

python3-defaults (3.3.0-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * Add Python 3.3 to the list of supported Python 3 versions and make it a
    default one.
  * dh_python3:
    - remove egg-info file/dir while moving files to common directory
      if the later one already contains it
  * rewrite dh_python3.1, py3compile.1 and py3clean.1 manpages in
    ReStructured Text
  * Add pybuild

  [ Scott Kitterman ]
  * Update Makefile to install pybuild
  * Fix file name typo in README.derivatives

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 09:20:46 -0500

python3-defaults (3.3.0-0ubuntu3) raring; urgency=low

  * Convert symlinks from mu/dmu to m/dm since the u flag does not exist in
    python3.3 (LP: #1079159)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Nov 2012 09:14:34 -0500

python3-defaults (3.3.0-0ubuntu2) raring; urgency=low

  * Drop python3.2 as a supported python3 version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Nov 2012 21:03:43 +0100

python3-defaults (3.3.0-0ubuntu1) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Make python3.3 default.

  [ Matthias Klose ]
  * Build dependency packages as architecture dependent packages.
  * Ship the pkgconfig symlinks again.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Oct 2012 16:44:58 +0200

python3-defaults (3.2.3-6ubuntu1) raring; urgency=low

  * Merge from Debian Unstable.  Remaining Ubuntu changes:
    - Add python3.3 to supported python3 versions and include python3.3 in
      python3-all* package depends

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Oct 2012 02:50:22 -0400

python3-defaults (3.2.3-5ubuntu2) raring; urgency=low

  [ Matthias Klose ]
  * Add python3.3 as a supported version.

  [ Barry Warsaw ]
  * dh_python3: Rework calculation of extension tags to add support for


=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 7.0.50~), python, debiandoc-sgml, python-docutils, lsb-release
Build-Depends-Indep: libhtml-tree-perl
Standards-Version: 3.9.3
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
XS-Testsuite: autopkgtest

Package: python3
Architecture: any
Multi-Arch: allowed
Depends: python3.3 (>= 3.3.0-5), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Depends: python3.3-minimal (>= 3.3.0-5), dpkg (>= 1.13.20), ${misc:Depends}
Breaks: python3 (<< 3.2.3-1~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
Replaces: python3 (<< 3.2.3-1~), python3.1 (<< 3.1-2)
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.3-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (>= ${binary:Version}), python3.3-examples (>= 3.3.0-5), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.3-dev (>= 3.3.0-5), ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Depends: libpython3.3-dev (>= 3.3.0-5), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.3-stdlib (>= 3.3.0-5), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: idle3
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.3
Replaces: python3 (<< 3.2.3-1~)
Breaks: python3 (<< 3.2.3-1~)
Enhances: python3
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.3-doc (>= 3.3.0-5), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.3). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.3-dbg (>= 3.3.0-5), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.3)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.3/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3.3-dbg (>= 3.3.0-5), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.3)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.3/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), ${misc:Depends},
 python3.3 
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.3, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
 python3.3-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.3-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
 python3.3-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.3-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Depends: libpython3-dev (= ${binary:Version}), ${misc:Depends},
 libpython3.3-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.3-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3-dbg (= ${binary:Version}), ${misc:Depends},
 libpython3.3-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.3-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))
UPSTRVER   := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)-.*,\1,p')
IPKGVER    := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)\+.*,\1,p')
VER        := $(shell echo $(PKGVERSION) | sed -rne 's,(.{3}).*,\1,p')
NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 

# first version with Multi-Arch: allowed
UPSTRVER   := 3.3.0-5

distribution := $(shell lsb_release -is)

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build-arch: build
build-indep: build

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	touch stamp-doc-policy

stamp-doc: #stamp-doc-policy
	make -C pydist README.PyDist.html
	touch stamp-doc

control-file:
	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
	    -e "s/@IPKGVER@/$(IPKGVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/python$(VER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	#make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3 PREFIX=/usr make install-runtime manpages
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle3/usr/bin
	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3

	mkdir -p debian/idle3/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1

	mkdir -p debian/idle3/usr/share/pixmaps
	ln -sf python3.xpm debian/idle3/usr/share/pixmaps/idle3.xpm

	mkdir -p debian/idle3/usr/share/applications
	cp -p debian/idle3.desktop debian/idle3/usr/share/applications/

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installmenu -i $(NOPKGS)
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle3; do \
	  [ $$p = idle3 ] || p=python3-$$p; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	ln -sf python$(VER)m debian/python3-minimal/usr/bin/python3m
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz
	ln -sf python$(VER)m.1.gz \
		debian/python3-minimal/usr/share/man/man1/python3m.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3-minimal /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \
		debian/python3/usr/share/python3/

	mkdir -p debian/python3/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python3/usr/share/man/man1/pydoc3.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python3/usr/share/man/man1/pygettext3.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python3/usr/share/man/man1/pdb3.1.gz

	mkdir -p debian/python3/usr/share/doc/python3
ifeq (0,1)
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python3/
endif

	mkdir -p debian/python3/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python3/usr/share/pixmaps/python3.xpm

ifeq (0,1)
	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done
endif

ifeq (0,1)
	mkdir -p debian/python3/usr/share/apps/konsole

## python3-defaults 3.3.1-0ubuntu1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= dh_python3.1 py3compile.1 py3clean.1 pybuild.1
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p')

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python3 $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/dh_python3
	$(INSTALL) -m 644 dh/python3.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 644 dh/pybuild.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/
	$(INSTALL) -m 755 pybuild $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/pybuild

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython/build $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 644 debpython/build/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/build/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3compile
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3clean

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

manpages: $(MANPAGES)

dist_fallback:
	make -C pydist $@

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
nose:
	nosetests3 --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python3 -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== tests/t1/Makefile ===
#!/usr/bin/make -f

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "Depends: .*python3 (<< 3.4)" debian/python3-foo/DEBIAN/control
	grep -q "Recommends: .*python3-mako" debian/python3-foo/DEBIAN/control
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	test ! -f debian/python3-foo/usr/lib/python3/dist-packages/foo/spam.py

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info

=== tests/t2/Makefile ===
#!/usr/bin/make -f

all: run check

DPY=$(shell ../../debian/py3versions -vd)  # Python >= 3.2

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "py3compile -p python3-foo /usr/lib/python3-foo"\
		debian/python3-foo/DEBIAN/postinst
	[ "`find debian/python3-foo/usr/lib/python3/dist-packages/foo -name 'bar.cpython-*.so'`" != "" ]

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info build

=== debian/changelog ===
python3-defaults (3.3.1-0ubuntu1) raring; urgency=low

  * Bump version to 3.3.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Apr 2013 20:53:17 +0200

python3-defaults (3.3.0-3ubuntu1) raring; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Drop python3.2 as a supported python3 version.
    - Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.
    - Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
      Build-Depends.
    - Build libpython3-all-{dev,dbg} and libpython3-stdlib packages.
    - Build-depend on python:any instead of python.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 21 Mar 2013 18:51:30 +0400

python3-defaults (3.3.0-3) experimental; urgency=low

  [ Piotr Ożarowski ]
  * pybuild:
    - add --ext-dest-dir (PYBUILD_EXT_DESTDIR) and --ext-pattern
      (PYBUILD_EXT_PATTERN) options to move files after install step
    - save before/after command logs if quiet mode is on
    - do not warn about limiting versions if there's only one
    - distutils plugin: do not skip build in install target
      (ugly workaround for yet another distutils "feature",
      closes: #701137)
    - do not run tests if DEB_BUILD_OPTIONS contains "nocheck"
  * dh_python3:
    - add version range to py3compile in maintainer scripts
    - no longer sensitive to trailing slash in private dir names
      (closes: #701215)
  * Bump minimum required dpkg-dev build dependency to 1.16.1~
    (due to architecture.mk in debian/rules)

  [ Dmitry Shachnev ]
  * Include architecture.mk in debian/rules instead of defining
    DEB_HOST_* manually.
  * tests/t1: Build-depend on python3-all instead of python-all.
  * Make tests work without python-support installed.
  * debian/tests/control: Add a dependency on libjs-jquery (test1 contains
    a symlink to /usr/share/javascript/jquery/jquery.js).
  * Added missing docinfo to man pages, to fix a lintian warning
    (Closes: #702777).

  [ Matthias Klose ]
  * dh_python3: Use the multiarch tuple for the host (if DEB_HOST_MULTIARCH
    is set in the environment).
  * Add a libpython3-stdlib package (not yet built).

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Mar 2013 13:47:29 +0100

python3-defaults (3.3.0-2ubuntu9) raring; urgency=low

  * Build-depend on python:any instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2013 18:33:16 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.0.50~), python, debiandoc-sgml, python-docutils, lsb-release
+Build-Depends: debhelper (>= 7.0.50~), python:any, debiandoc-sgml, python-docutils, lsb-release, dpkg-dev (>= 1.16.1~)
 Build-Depends-Indep: libhtml-tree-perl
 Standards-Version: 3.9.3
 Homepage: http://www.python.org/
@@ -15,7 +15,7 @@
 Package: python3
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.3 (>= 3.3.0-5), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Depends: python3.3 (>= 3.3.1-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -30,7 +30,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.3-minimal (>= 3.3.0-5), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.3-minimal (>= 3.3.1-1~), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3 (<< 3.2.3-1~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3 (<< 3.2.3-1~), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -41,7 +41,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (>= ${binary:Version}), python3.3-examples (>= 3.3.0-5), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.3-examples (>= 3.3.1-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -52,7 +52,7 @@
 Package: python3-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.3-dev (>= 3.3.0-5), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.3-dev (>= 3.3.1-1~), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -65,7 +65,7 @@
 Package: libpython3-dev
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.3-dev (>= 3.3.0-5), ${misc:Depends}
+Depends: libpython3.3-dev (>= 3.3.1-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -77,7 +77,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.3-stdlib (>= 3.3.0-5), ${misc:Depends}
+Depends: libpython3.3-stdlib (>= 3.3.1-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -102,7 +102,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.3-doc (>= 3.3.0-5), ${misc:Depends}
+Depends: python3.3-doc (>= 3.3.1-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -127,7 +127,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.3-dbg (>= 3.3.0-5), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.3-dbg (>= 3.3.1-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.3)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.3/lib-dynload/debug first.
@@ -137,7 +137,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython3.3-dbg (>= 3.3.0-5), ${misc:Depends}
+Depends: libpython3.3-dbg (>= 3.3.1-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.3)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.3/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 
 
 # first version with Multi-Arch: allowed
-UPSTRVER   := 3.3.0-5
+UPSTRVER   := 3.3.1-1~
 
 distribution := $(shell lsb_release -is)

=== tests/t2/debian/rules ===
#!/usr/bin/make -f
PYVERS = $(shell ../../debian/py3versions -vr)
PYDEF = $(shell ../../debian/py3versions -d)

%:
	dh $@ --buildsystem=python_distutils

override_dh_install:
	dh_install
	# install also as private extension
	dh_install debian/python3-foo/usr/local/lib/python3*/dist-packages/foo/bar*.so \
		/usr/lib/python3-foo/
	DH_VERBOSE=1 ../../dh_python3

override_dh_auto_build:
	for ver in $(PYVERS); do\
	  python$$ver setup.py build; done

override_dh_auto_install:
	for ver in $(PYVERS); do\
	  python$$ver setup.py install --root=debian/python3-foo;\
	done

override_dh_auto_clean:

=== tests/t3/debian/rules ===
#!/usr/bin/make -f
#PYVERS = $(shell ../../debian/py3versions -vr)
PYVERS = $(shell PYTHONPATH=../../ python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))')

%:
	dh $@

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python3

override_dh_auto_build:
override_dh_auto_test:

override_dh_auto_install:
	set -e; for ver in $(PYVERS); do\
	  mkdir -p debian/python3-foo/usr/lib/python$$ver/site-packages/;\
	  echo "print('foo')" > debian/python3-foo/usr/lib/python$$ver/site-packages/foo.py;\
	done

override_dh_auto_clean:

=== debian/tests/control ===
Tests: dh_python3
Depends: python3-all-dev, debhelper, libjs-jquery

## python3-defaults 3.3.2-14ubuntu1

=== debian/changelog ===
python3-defaults (3.3.2-14ubuntu1) saucy; urgency=medium

  * Re-add The Multi-Arch: allowed attribute for python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Sep 2013 15:48:15 +0200

python3-defaults (3.3.2-14) unstable; urgency=low

  * Add python3.1 and python3.2 to unsupported-versions
  * Build-depend on python3-minimal:any instead of python since that's what's
    used during the build now
  * Build-depend on python3-docutils instead of python-docutils
  * Add Multi-Arch: allowed for python3-all and python3-all-dbg
  * Add libpython3-dbg to python3-dbg depends
  * Add libpython3-dev to python3-dev depends
  * Use generated depends in control.in for libpython3-stdlib as with other
    binaries
  * Set UPSTRVER for Ubuntu in debian/rules so correct results are produced in
    both Debian and Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Aug 2013 06:22:22 -0400

python3-defaults (3.3.2-13) unstable; urgency=low

  * Bump python3-minimal Breaks/Replaces python3 versions to 3.3.2-13~ to
    account for files moved in -4 and later (Closes: #718734)
  * Fix broken libpython3-all-dbg symlink

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Aug 2013 02:25:13 -0400

python3-defaults (3.3.2-12) unstable; urgency=low

  * Re-upload with a version newer than the one in experimental.
  * Build libpython3-all-{dev,dbg} and libpython3-stdlib packages.
  * Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
    Build-Depends.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Aug 2013 09:52:26 +0200

python3-defaults (3.3.2-5) unstable; urgency=low

  * Drop python3.2 from supported python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Aug 2013 22:58:22 -0400

python3-defaults (3.3.2-4) unstable; urgency=low

  * Upload to unstable
  * Remove /usr/share/python3/debpython/__pycache__ in python3-minimal's prerm
  * Change source format back to 1.0 (native)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 01 Aug 2013 21:41:34 +0200

python3-defaults (3.3.2-11) experimental; urgency=low

  * Make datetime module optional in debpython (it's not available in
    python3.X-minimal, closes: #717232)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Jul 2013 22:50:17 +0200

python3-defaults (3.3.2-10) experimental; urgency=low

  [ Matthias Klose ]
  * Move py3compile and py3clean back to the python3-minimal package.

  [ Piotr Ożarowski ]
  * Remove pybuild and dh_python3, dh-python source package provides it now
  * Add dh-python dependency in python3 package (to make sure dh_python3 is
    installed)
  * Bump Standards-Version to 3.9.4

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 15 Jul 2013 23:48:04 +0200

python3-defaults (3.3.2-3) unstable; urgency=low

  * Bump python3-minimal Breaks/Replaces python3 versions to 3.3.2-1~ to
    account for files moved in -2 (closes: #717373)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Jul 2013 09:30:39 -0400

python3-defaults (3.3.2-2) unstable; urgency=low

  [ Matthias Klose ]
  * Build dependency packages as architecture dependent packages.
  * Make python3, python3-{minimal,dev,dbg} Multi-Arch: allowed.
  * Don't use the `u' abi flag when defaulting to 3.3.
  * Build Multi-Arch: same packages libpython3-{dev,dbg} packages providing
    $(DEB_HOST_MULTIARCH)-python3-config symlinks.

  [ Piotr Ożarowski ]
  * Move python-docutils to Build-Depends (python3 package is now arch:any)

  [ Dmitry Shachnev ]
  * Include architecture.mk in debian/rules instead of defining
    DEB_HOST_* manually.

  [ Scott Kitterman ]
  * Correct doc directory in README.Debian
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Jul 2013 17:14:22 -0400

python3-defaults (3.3.2-1) unstable; urgency=low

  [ Scott Kitterman ]
  * Make python3.3 the default python3
  * When X-Python3-Version is not present, do not describe it as missing,
    just indicate it is not there

  [ Matthias Klose ]
  * Bump version to 3.3.2.
  * Don't use the `u' abi flag when defaulting to 3.3.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Jul 2013 18:35:33 -0400

python3-defaults (3.2.3-7) unstable; urgency=low

  * Add Python 3.3 as a supported Python version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 03:05:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.0.50~), python:any, debiandoc-sgml, python-docutils, lsb-release, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 7.0.50~), python3-minimal:any, python3-docutils,
+ dpkg-dev (>= 1.16.1~), debiandoc-sgml, lsb-release
 Build-Depends-Indep: libhtml-tree-perl
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
-XS-Testsuite: autopkgtest
 
 Package: python3
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.3 (>= 3.3.1-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Depends: python3.3 (>= 3.3.1-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}, dh-python
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -31,8 +31,8 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3.3-minimal (>= 3.3.1-1~), dpkg (>= 1.13.20), ${misc:Depends}
-Breaks: python3 (<< 3.2.3-1~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
-Replaces: python3 (<< 3.2.3-1~), python3.1 (<< 3.1-2)
+Breaks: python3 (<< 3.3.2-13~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
+Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
@@ -158,7 +158,7 @@
 Package: python3-all-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
+Depends: python3 (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
  python3.3-dev
 Description: package depending on all supported Python 3 development packages
  The package currently depends on python3.3-dev, in the
@@ -174,7 +174,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
+Depends: python3 (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
  python3.3-dbg
 Description: package depending on all supported Python 3 debugging packages
  The package currently depends on python3.3-dbg, in the

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,17 @@
 VER        := $(shell echo $(PKGVERSION) | sed -rne 's,(.{3}).*,\1,p')
 NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 
 
-# first version with Multi-Arch: allowed
-UPSTRVER   := 3.3.1-1~
 
 distribution := $(shell lsb_release -is)
+
+ifeq ($(distribution),Ubuntu)
+  # first Ubuntu version with Multi-Arch: allowed
+  UPSTRVER   := 3.3.1-1~
+else
+  # first Debian version with Multi-Arch: allowed
+  UPSTRVER   := 3.3.0-5
+endif
+
 
 PWD		:= $(shell pwd)
 
@@ -52,7 +59,6 @@
 	touch stamp-doc-policy
 
 stamp-doc: #stamp-doc-policy
-	make -C pydist README.PyDist.html
 	touch stamp-doc
 
 control-file:
@@ -154,7 +160,7 @@
 	dh_installdirs
 	#make check_versions
 	DESTDIR=debian/python3 PREFIX=/usr make install-dev
-	DESTDIR=debian/python3 PREFIX=/usr make install-runtime manpages
+	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime manpages
 	# disabled by default, run manually if you want to update it
 	# (requires apt-file and network connection)
 	#make dist_fallback
@@ -270,7 +276,3 @@
 	  ln -sf ../python/python-policy.$$ext \
 		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
 	done
-endif
-
-ifeq (0,1)
-	mkdir -p debian/python3/usr/share/apps/konsole
